summaryrefslogtreecommitdiffstats
path: root/db-testing
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2004-08-17 21:17:36 +0200
committerJudd Vinet <judd@archlinux.org>2004-08-17 21:17:36 +0200
commit5c8c26b650008d7af1305d5e304fb5a2c8f3e85c (patch)
tree0afb99dd8d515fadb0f0df0a2d08f6394fd2b3a8 /db-testing
parent356342c65bcec5ab91680bd0118e566b6f0d90b2 (diff)
downloaddbscripts-5c8c26b650008d7af1305d5e304fb5a2c8f3e85c.tar.gz
dbscripts-5c8c26b650008d7af1305d5e304fb5a2c8f3e85c.tar.xz
added some sanity checks around the cvs export calls
Diffstat (limited to 'db-testing')
-rwxr-xr-xdb-testing14
1 files changed, 13 insertions, 1 deletions
diff --git a/db-testing b/db-testing
index d0991a7..255ce13 100755
--- a/db-testing
+++ b/db-testing
@@ -1,5 +1,5 @@
#!/bin/bash
-# $Id: db-testing,v 1.6 2004/07/03 20:28:11 judd Exp $
+# $Id: db-testing,v 1.7 2004/08/17 19:17:36 judd Exp $
uid=`id -u`
repoid=4
@@ -39,12 +39,24 @@ echo "==> Generating Pacman Database for TESTING..." >&2
cd $TMPDIR
echo "--- CURRENT ---"
CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-arch cvs -q export -r TESTING arch
+if [ $? -gt 0 ]; then
+ echo "==> CVS export failed!"
+ exit 1
+fi
mv arch/build/* . && rm -rf arch
echo "--- EXTRA ---"
CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-extra cvs -q export -r TESTING extra
+if [ $? -gt 0 ]; then
+ echo "==> CVS export failed!"
+ exit 1
+fi
cp -a extra/* . && rm -rf extra
echo "--- UNSTABLE ---"
CVS_RSH=ssh CVSROOT=:ext:cvs.archlinux.org:/home/cvs-unstable cvs -q export -r TESTING unstable
+if [ $? -gt 0 ]; then
+ echo "==> CVS export failed!"
+ exit 1
+fi
cp -a unstable/* . && rm -rf unstable
# check again
if [ -d /tmp/.gensync ]; then